Page MenuHomeFreeBSD

games/iourbanterror, games/urbanterror-data: Update Urban Terror 4.2.x to 4.3.1
AbandonedPublic

Authored by kami on Dec 2 2016, 9:27 AM.

Details

Reviewers
cs
koobs
mat
Summary
games/iourbanterror, games/urbanterror-data: Update from 4.2.x to 4.3.1

- Add license info to games/urbanterror-data
- Switch to URT proprietary engine codebase, because game data is no
  longer compatible to ioquake3

PR:           213703
Reported by:  sk8harddiefast@gmail.com
#Reviewed by:  koobs
Approved by:
#Differential Revision: https://reviews.freebsd.org/D8692
Test Plan

testport

rel\archurbanterror-dataiourbanterror-serveriourbanterror
10.3-amd64OKOKOK
10.3-i386OKOKOK
11.0-amd64OKOKOK
11.0-i386OKOKOK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 6597
Build 6815: arc lint + arc unit

Event Timeline

kami retitled this revision from to Update Urban Terror 4.2.x to 4.3.1.
kami updated this object.
kami edited the test plan for this revision. (Show Details)
kami added reviewers: cs, koobs.
koobs requested changes to this revision.EditedDec 3 2016, 2:58 AM
koobs edited edge metadata.

Please:

  • Update revision SUMMARY to be in the format of a well-formed commit log message (surrounded by code blocks)
category/port: Summary ...

* Itemized change 1, rationale / terse explanation
* Itemized change 2, rationale / terse explanation
* Itemized change N, rationale / terse explanation

Reviewed by: blah blah blah
Approved by: blah blah blah
DiffRev: DXXXX
  • The build on 9.3 should be fixed
  • Clarify whether the items in TEST PLAN have been run and what the results are/were, like:
testport: OK (93amd64, etc etc)
  • Patches should contain header comments explaining with patch, with upstream URL references if they exist (ideally they do).
  • Software changes/changelog should not be included in the port changes (top) section of the commit log, but should instead be a separate (bottom), or a URL to upstream release/version announcement (or git tagged changelog file) like:
Changes:

 * <url to upstream changelog>
This revision now requires changes to proceed.Dec 3 2016, 2:58 AM
kami retitled this revision from Update Urban Terror 4.2.x to 4.3.1 to games/iourbanterror, games/urbanterror-data: Update Urban Terror 4.2.x to 4.3.1.Dec 4 2016, 1:23 PM
kami updated this object.
kami edited the test plan for this revision. (Show Details)
kami edited edge metadata.
In D8692#180275, @koobs wrote:

Please:

  • Update revision SUMMARY to be in the format of a well-formed commit log message (surrounded by code blocks)

Reviewed by: blah blah blah
Approved by: blah blah blah
DiffRev: DXXXX

There is a check that objects to my "Reviewed by:" and "Differential Revision:" entries. I prepended them by a #, maybe you can tell what's wrong.

  • The build on 9.3 should be fixed

I won't fix llvm37.

  • Clarify whether the items in TEST PLAN have been run and what the results are/were, like:
testport: OK (93amd64, etc etc)

I hope tabular is all right.

  • Patches should contain header comments explaining with patch, with upstream URL references if they exist (ideally they do).

So, I can just dump text into a patch?

mat added a reviewer: mat.

Looks good. (mentors timeout)

games/iourbanterror/Makefile
9

I started saying that this line was wrong, it feels wrong at first sight, but is not because of the slave port thing, you should write something like:

MASTER_SITE=    # force empty because it is a slave port
49–50

can remove that.

kami edited edge metadata.

Address review concerns by mat.

Note poudriere testruns are still ongoing, will update the table
on completion.

kami edited edge metadata.
kami marked 2 inline comments as done.Jan 6 2017, 8:02 PM

Poudriere testrun completed successfully, so I updated the test plan.

Also:

In D8692#185545, @kami wrote:

Accepted upstream.

Closed, because 9.x is EOL.

A fix for CVE-2017-6903 is incoming.